summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexander Huemer <alexander.huemer@sbg.ac.at>2009-05-22 12:51:04 +0200
committerAlexander Huemer <alexander.huemer@sbg.ac.at>2009-05-22 12:51:04 +0200
commit0f7d35c694938cffb925bdbffc038c48c57a364e (patch)
tree8d8b2555fd115230a1c0f72d2324b9282b2fe765 /media-libs
parentupdated x11-libs/qt-phonon 4.5.1 ebuild (still not working) (diff)
downloadmultilib-portage-0f7d35c694938cffb925bdbffc038c48c57a364e.tar.gz
multilib-portage-0f7d35c694938cffb925bdbffc038c48c57a364e.tar.bz2
multilib-portage-0f7d35c694938cffb925bdbffc038c48c57a364e.zip
synced media-libs/libsndfile with portage (change without revbump)
Diffstat (limited to 'media-libs')
-rw-r--r--media-libs/libsndfile/Manifest5
-rw-r--r--media-libs/libsndfile/files/libsndfile-1.0.19-automagic_jack.patch25
-rw-r--r--media-libs/libsndfile/libsndfile-1.0.19.ebuild17
-rw-r--r--media-libs/libsndfile/libsndfile-1.0.20.ebuild66
4 files changed, 106 insertions, 7 deletions
diff --git a/media-libs/libsndfile/Manifest b/media-libs/libsndfile/Manifest
index 780e466b2..ad4497ce5 100644
--- a/media-libs/libsndfile/Manifest
+++ b/media-libs/libsndfile/Manifest
@@ -1,5 +1,8 @@
AUX libsndfile-1.0.17-regtests-need-sqlite.patch 894 RMD160 a36d14dc91a8768386f414cbfe8b0cc53de938c3 SHA1 522d55e46ef6c83a158fb026d5f37f63b78438ad SHA256 c53026864c6a05b1ccc8b12e7af895f5d0e2d3a00335fd9f49ed7cc9aecece73
AUX libsndfile-1.0.18-less_strict_tests.patch 1500 RMD160 c7ed99205da9955befb6f0efd91c3247bc7d7df1 SHA1 eece06074647a0830a2c743ee8800f14bce0b9d3 SHA256 ed3143214c6bd7fd0f2eb3db25e573064aae338295664a1e6768872e8ebb52a8
+AUX libsndfile-1.0.19-automagic_jack.patch 956 RMD160 1f3527edd5cf91200531d3dd3c08197c73134c75 SHA1 c36e48e9df6202a1dafb44b0ec3d3ee673021ee7 SHA256 b65e23f28d3faf6eec5292c3a0b0e484f7c09f452211145d3235c32327f9619f
AUX libsndfile-1.0.19-no-jack-revdep.patch 895 RMD160 963f938c97b9c994637c19fe113221d91200c21f SHA1 e5b888c1c0d8e92f94cc7a0acd350b4b35954666 SHA256 542b3e5e4660bcde51cd5ddac7811e30bc81bc821ab5355c953330a2da575aa1
DIST libsndfile-1.0.19.tar.gz 924368 RMD160 027d53e55b6d01c78aba31ed239fd2f0d2f752b5 SHA1 7cf8d3f032501642e36fecd8c899b09d3f7c986c SHA256 4b567a02e15bcae25fa1aeb3361b4e2cb8b2ce08e9b53faa81f77a34fb2b5419
-EBUILD libsndfile-1.0.19.ebuild 1942 RMD160 39ba3aabcfdfc64ae1ced4547a10a136e0088b2e SHA1 1e4cbce792d1ce894581180da25e100ec7881cb7 SHA256 85a5dd93a16fd4e176cfa5c0ae9760213b4f21dc43745a2cdbfdc8d29b13a3a7
+DIST libsndfile-1.0.20.tar.gz 927422 RMD160 873802efaa3f1e3303167fe1b7302fe2ab4cbd59 SHA1 d4f88b919c644f54dd4038c4cf4fb2e7b0d32f7b SHA256 7517eb966579f8814b5efe307cb919c5b4e7b5c6729209ba1da95f31e8368dc7
+EBUILD libsndfile-1.0.19.ebuild 2064 RMD160 cbbe245460d51c13d8f0baab82ef9d92fcd49c36 SHA1 a7e6fd3aa42e81c081f3f7ad956ade13eb29ca96 SHA256 9273786ab16ac7e135e5292e8594f5ab0374ac485d635e11985789b01e301db6
+EBUILD libsndfile-1.0.20.ebuild 1945 RMD160 5ecb46f4b0b241997e51f4d907ca3e15c732ae23 SHA1 bea2582c4efeeff889beb33d8011fb1998e128bb SHA256 fe69ba868a3663c39f649930c83b2a078ddc2ba3dcd08016785e9a59638036e4
diff --git a/media-libs/libsndfile/files/libsndfile-1.0.19-automagic_jack.patch b/media-libs/libsndfile/files/libsndfile-1.0.19-automagic_jack.patch
new file mode 100644
index 000000000..caa5566b8
--- /dev/null
+++ b/media-libs/libsndfile/files/libsndfile-1.0.19-automagic_jack.patch
@@ -0,0 +1,25 @@
+diff -ur libsndfile-1.0.19.orig/configure.ac libsndfile-1.0.19/configure.ac
+--- libsndfile-1.0.19.orig/configure.ac 2009-03-03 00:37:24.000000000 +0200
++++ libsndfile-1.0.19/configure.ac 2009-05-08 14:43:11.000000000 +0300
+@@ -124,6 +124,9 @@
+ AC_ARG_ENABLE(alsa,
+ AC_HELP_STRING([--disable-alsa], [disable use of ALSA]))
+
++AC_ARG_ENABLE(jack,
++ AC_HELP_STRING([--disable-jack], [disable use of JACK]))
++
+ AC_ARG_ENABLE(external-libs,
+ AC_HELP_STRING([--disable-external-libs], [disable use of FLAC, Ogg and Vorbis]))
+
+@@ -342,7 +345,10 @@
+ #====================================================================================
+ # Check for JACK (only used for examples/sndfile-jackplay).
+
+-PKG_CHECK_MOD_VERSION(JACK, jack >= 0.100, ac_cv_jack=yes, ac_cv_jack=no)
++ac_cv_jack=no
++if test x$enable_jack != xno ; then
++ PKG_CHECK_MOD_VERSION(JACK, jack >= 0.100, ac_cv_jack=yes, ac_cv_jack=no)
++ fi
+
+ if test x$ac_cv_jack = "xyes" ; then
+ HAVE_JACK=1
diff --git a/media-libs/libsndfile/libsndfile-1.0.19.ebuild b/media-libs/libsndfile/libsndfile-1.0.19.ebuild
index 33bab366e..f0622fb17 100644
--- a/media-libs/libsndfile/libsndfile-1.0.19.ebuild
+++ b/media-libs/libsndfile/libsndfile-1.0.19.ebuild
@@ -19,13 +19,14 @@ fi
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd"
-IUSE="sqlite alsa minimal"
+IUSE="alsa jack minimal sqlite"
RDEPEND="!minimal? ( >=media-libs/flac-1.2.1[lib32?]
>=media-libs/libogg-1.1.3[lib32?]
>=media-libs/libvorbis-1.2.1_rc1[lib32?] )
alsa? ( media-libs/alsa-lib[lib32?] )
- sqlite? ( >=dev-db/sqlite-3.2[lib32?] )"
+ sqlite? ( >=dev-db/sqlite-3.2[lib32?] )
+ jack? ( media-sound/jack-audio-connection-kit[lib32?] )"
DEPEND="${RDEPEND}
dev-util/pkgconfig"
@@ -36,10 +37,12 @@ src_unpack() {
cd "${S}"
sed -i -e "s/noinst_PROGRAMS/check_PROGRAMS/" "${S}/tests/Makefile.am" \
- "${S}/examples/Makefile.am" || die "failed to remove forced build of test and example programs"
- epatch "${FILESDIR}/${PN}-1.0.17-regtests-need-sqlite.patch"
- epatch "${FILESDIR}/${PN}-1.0.18-less_strict_tests.patch"
-
+ "${S}/examples/Makefile.am" || die "sed failed"
+
+ epatch "${FILESDIR}"/${PN}-1.0.17-regtests-need-sqlite.patch \
+ "${FILESDIR}"/${PN}-1.0.18-less_strict_tests.patch \
+ "${FILESDIR}"/${P}-automagic_jack.patch
+
# cheap fix for multilib
use lib32 && epatch "${FILESDIR}/${P}-no-jack-revdep.patch"
@@ -52,11 +55,13 @@ src_unpack() {
multilib-native_src_configure_internal() {
econf $(use_enable sqlite) \
$(use_enable alsa) \
+ $(use_enable jack) \
$(use_enable !minimal external-libs) \
--disable-octave \
--disable-gcc-werror \
--disable-gcc-pipe \
--disable-dependency-tracking
+ emake || die "emake failed"
}
multilib-native_src_install_internal() {
diff --git a/media-libs/libsndfile/libsndfile-1.0.20.ebuild b/media-libs/libsndfile/libsndfile-1.0.20.ebuild
new file mode 100644
index 000000000..ad934d1c1
--- /dev/null
+++ b/media-libs/libsndfile/libsndfile-1.0.20.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header:
+# /var/cvsroot/gentoo-x86/media-libs/libsndfile/libsndfile-1.0.20.ebuild,v 1.7 2009/05/20 18:09:02 armin76 Exp $
+
+EAPI="2"
+
+inherit eutils libtool autotools multilib-native
+
+MY_P=${P/_pre/pre}
+
+DESCRIPTION="A C library for reading and writing files containing sampled sound"
+HOMEPAGE="http://www.mega-nerd.com/libsndfile"
+if [[ "${MY_P}" == "${P}" ]]; then
+ SRC_URI="http://www.mega-nerd.com/libsndfile/${P}.tar.gz"
+else
+ SRC_URI="http://www.mega-nerd.com/tmp/${MY_P}b.tar.gz"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd"
+IUSE="sqlite alsa minimal"
+
+RDEPEND="!minimal? ( >=media-libs/flac-1.2.1[lib32?]
+ >=media-libs/libogg-1.1.3[lib32?]
+ >=media-libs/libvorbis-1.2.1_rc1[lib32?] )
+ alsa? ( media-libs/alsa-lib[lib32?] )
+ sqlite? ( >=dev-db/sqlite-3.2[lib32?] )"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+
+ sed -i -e "s/noinst_PROGRAMS/check_PROGRAMS/" "${S}/tests/Makefile.am" \
+ "${S}/examples/Makefile.am" || die "failed to remove forced build of test and example programs"
+ epatch "${FILESDIR}/${PN}-1.0.17-regtests-need-sqlite.patch"
+ epatch "${FILESDIR}/${PN}-1.0.18-less_strict_tests.patch"
+
+ # cheap fix for multilib
+ use lib32 && epatch "${FILESDIR}/${P}-no-jack-revdep.patch"
+
+ rm M4/libtool.m4 M4/lt*.m4 || die "rm failed"
+
+ AT_M4DIR=M4 eautoreconf
+ epunt_cxx
+}
+
+multilib-native_src_configure_internal() {
+ econf $(use_enable sqlite) \
+ $(use_enable alsa) \
+ $(use_enable !minimal external-libs) \
+ --disable-octave \
+ --disable-gcc-werror \
+ --disable-gcc-pipe \
+ --disable-dependency-tracking
+}
+
+multilib-native_src_install_internal() {
+ emake DESTDIR="${D}" htmldocdir="/usr/share/doc/${PF}/html" install || die "emake install failed."
+ dodoc AUTHORS ChangeLog NEWS README TODO
+}